Page MenuHomePhabricator

[mlir] Add InferTensorType without supporting reifyReturnTypeShapes
ClosedPublic

Authored by Chia-hungDuan on Mar 10 2022, 12:21 PM.

Details

Summary

This is useful for the case that we don't need to implement
reifyReturnTypeShapes.

Diff Detail

Event Timeline

Chia-hungDuan created this revision.Mar 10 2022, 12:21 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 10 2022, 12:21 PM
Chia-hungDuan requested review of this revision.Mar 10 2022, 12:21 PM
jpienaar accepted this revision.Mar 14 2022, 1:29 PM

SG, one could also just do InferTensorType<> previously I believe where this would allow InferTensorType without <>.

I actually wonder if the above needs the extra .traits, may have been a point in time, I'd expect

def InferTensorTypeWithReify : InferTensorTypeBase<"reifyReturnTypeShapes">;

to be sufficient.

This revision is now accepted and ready to land.Mar 14 2022, 1:29 PM

Rebase and address review comment

SG, one could also just do InferTensorType<> previously I believe where this would allow InferTensorType without <>.

I actually wonder if the above needs the extra .traits, may have been a point in time, I'd expect

def InferTensorTypeWithReify : InferTensorTypeBase<"reifyReturnTypeShapes">;

to be sufficient.

Yes, that works and it's cleaner.

This revision was landed with ongoing or failed builds.Mar 25 2022, 12:08 PM
This revision was automatically updated to reflect the committed changes.